package cn.com.tenlion.configcontent.pojo.dtos.contentscans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentScansDTO
 * @Description: CBC内容管理查看记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:42:41
 * @Version: 3.0
 **/
@ApiModel
public class ContentScansDTO {

    @ApiModelProperty(name = "contentScansId", value = "查看记录ID")
    private String contentScansId;
    @ApiModelProperty(name = "businessId", value = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentScansUserName", value = "查看人姓名")
    private String contentScansUserName;
    @ApiModelProperty(name = "contentScansUserIcon", value = "查看人头像")
    private String contentScansUserIcon;
    @ApiModelProperty(name = "contentDispatchId", value = "转发查看则关联的转发ID")
    private String contentDispatchId;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getContentScansId() {
        return contentScansId == null ? "" : contentScansId.trim();
    }

    public void setContentScansId(String contentScansId) {
        this.contentScansId = contentScansId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentScansUserName() {
        return contentScansUserName == null ? "" : contentScansUserName.trim();
    }

    public void setContentScansUserName(String contentScansUserName) {
        this.contentScansUserName = contentScansUserName;
    }

    public String getContentScansUserIcon() {
        return contentScansUserIcon == null ? "" : contentScansUserIcon.trim();
    }

    public void setContentScansUserIcon(String contentScansUserIcon) {
        this.contentScansUserIcon = contentScansUserIcon;
    }

    public String getContentDispatchId() {
        return contentDispatchId == null ? "" : contentDispatchId.trim();
    }

    public void setContentDispatchId(String contentDispatchId) {
        this.contentDispatchId = contentDispatchId;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
